# WOK
TKWOK
WOKUnix

# WOKUnix_OutErrOutput Class Reference

`#include <WOKUnix_OutErrOutput.hxx>`

Inheritance diagram for WOKUnix_OutErrOutput:

[legend]

## Public Member Functions

Standard_EXPORT | WOKUnix_OutErrOutput ()
Standard_EXPORT | WOKUnix_OutErrOutput (const WOKUnix_FDescr &aoutfd, const WOKUnix_FDescr &aerrfd, const WOKUnix_PopenBufferMode amode)
Standard_EXPORT | WOKUnix_OutErrOutput (const Handle(WOKUnix_OutErrOutput)&anoutput, const WOKUnix_PopenBufferMode amode)
virtual Standard_EXPORT void | Clear () const
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Echo () const
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Errors () const
virtual Standard_EXPORT void | Select (Standard_Integer &afdmax, WOKUnix_Timeval &atimeout, WOKUnix_FDSet &aset) const
virtual Standard_EXPORT void | Acquit (const Standard_Integer selectstatus, const WOKUnix_FDSet &aset) const
virtual Standard_EXPORT void | Close ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKUnix_Buffer | myout
Handle_WOKUnix_Buffer | myerr

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_OutErrOutput::WOKUnix_OutErrOutput | ( |  | ) |

Standard_EXPORT WOKUnix_OutErrOutput::WOKUnix_OutErrOutput | ( | const WOKUnix_FDescr & | aoutfd,
|  | const WOKUnix_FDescr & | aerrfd,
|  | const WOKUnix_PopenBufferMode | amode
| ) |

Standard_EXPORT WOKUnix_OutErrOutput::WOKUnix_OutErrOutput | ( | const Handle(WOKUnix_OutErrOutput)& | anoutput,
|  | const WOKUnix_PopenBufferMode | amode
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKUnix_OutErrOutput::Acquit | ( | const Standard_Integer | selectstatus,
|  | const WOKUnix_FDSet & | aset
| ) | const`[virtual]`

| Implements WOKUnix_ProcessOutput.

virtual Standard_EXPORT void WOKUnix_OutErrOutput::Clear | ( |  | ) | const`[virtual]`

| Implements WOKUnix_ProcessOutput.

virtual Standard_EXPORT void WOKUnix_OutErrOutput::Close | ( |  | ) | `[virtual]`

| Implements WOKUnix_ProcessOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_OutErrOutput::Echo | ( |  | ) | const`[virtual]`

| Implements WOKUnix_ProcessOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_OutErrOutput::Errors | ( |  | ) | const`[virtual]`

| Implements WOKUnix_ProcessOutput.

Standard_EXPORT const WOKUnix_OutErrOutput::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKUnix_ProcessOutput.

virtual Standard_EXPORT void WOKUnix_OutErrOutput::Select | ( | Standard_Integer & | afdmax,
|  | WOKUnix_Timeval & | atimeout,
|  | WOKUnix_FDSet & | aset
| ) | const`[virtual]`

| Implements WOKUnix_ProcessOutput.

## Field Documentation

Handle_WOKUnix_Buffer WOKUnix_OutErrOutput::myerr `[private]`

Handle_WOKUnix_Buffer WOKUnix_OutErrOutput::myout `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_OutErrOutput.hxx